#
set echo
#
setenv D /net/osprey/export/scratch3/wallcraf/hycom/ARCp12km/icethick
#
ncdump -v longitude $D/cs2awi_nh_201601.nc | tail -n +188  | sed -e "s/NaNf/-999.0/g" -e "s/[,;}]/ /g" >! lon.tmp
#
/bin/rm -f   lon.a
ascii2hycom  lon.tmp 720 720 -999.0 lon.a >! lon.b
#
ncdump -v latitude $D/cs2awi_nh_201601.nc | tail -n +188  | sed -e "s/NaNf/-999.0/g" -e "s/[,;}]/ /g" >! lat.tmp
#
/bin/rm -f   lat.a
ascii2hycom  lat.tmp 720 720 -999.0 lat.a >! lat.b
#
cat lon.a lat.a >! lonlat.a
#
/bin/rm -f regional.lonlat.a
hycom_fill lonlat.a NOARCTIC 720 720 regional.lonlat.a >! regional.lonlat.b
